Skip to main content
PATCH
Commit Schema

Authorizations

Authorization
string
header
required

Pass as Authorization: ServiceToken <token>. You can get Service Token from SuprSend dashboard -> Account Settings -> Service Tokens section.

Path Parameters

workspace
string
required

Workspace slug (staging, production, etc.)

schema_slug
string
required

Unique identifier of the schema

Query Parameters

commit_message
string

Commit message describing the changes

Response

Schema committed. The response is the newly committed live version.

slug
string

Unique identifier for the schema

Example:

"new-order-placed"

name
string

Human-readable name of the schema

Example:

"Order Placed Event"

description
string | null

Description of the schema. Can be used to describe which action this schema is linked to.

Example:

"Schema for order placement action"

status
enum<string>

Status of the returned schema version.

Available options:
draft,
live
Example:

"live"

hash
string

Git-like hash for version tracking

Example:

"382b707d4b1f8999a1xxxxxxxx"

json_schema
object | null

updated json schema

created_at
string<date-time>

When the schema was created

Example:

"2025-08-27T09:30:57.945326Z"

updated_at
string<date-time>

When the schema was last updated

Example:

"2025-08-29T15:37:37.650177Z"

committed_at
string<date-time>

When the schema was last committed

Example:

"2025-09-01T18:35:00.270698Z"

commit_message
string

Last commit message

Example:

"required fields updated"